import logging

import redis

logger = logging.getLogger("RedisHelper.py")
logging.basicConfig(level=logging.INFO, format='%(asctime)s - %(name)s - %(levelname)s - %(message)s')


class RedisHelper(object):
    def __init__(self, host: str, port: int, password: str):
        self.host = host
        self.port = port
        self.password = password
        self.redis_conn = redis.Redis(host=self.host, port=self.port, password=password)

    def add_number_to_set(self, key: str, number):
        logger.info(f"Redis Set写入: {key} ---> {number}")
        self.redis_conn.sadd(key, number)

    def set_expire(self, key: str, expire: int):
        logger.info(f"Redis Expire: {key} ---> {expire}")
        self.redis_conn.expire(key, expire)
